Package org.eclipse.ecf.remoteservice.client

## Class RemoteCallable

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.RemoteCallable

All Implemented Interfaces:
  `IRemoteCallable`

    public class RemoteCallable
    extends Object
    implements IRemoteCallable

Implementation of `IRemoteCallable`.

Since:
  4.0

### Nested Class Summary

Nested Classes
`static class` `RemoteCallable.Builder`

### Field Summary

Fields
`protected IRemoteCallParameter[]` `defaultParameters`
`protected long` `defaultTimeout`
`protected String` `method`
`protected IRemoteCallableRequestType` `requestType`
`protected String` `resourcePath`

### Constructor Summary

Constructors
`RemoteCallable​(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType)`
`RemoteCallable​(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, IRemoteCallableRequestType requestType, long defaultTimeout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRemoteCallParameter[]` `getDefaultParameters()` Get default remote call parameters for this remote callable.
`long` `getDefaultTimeout()` Get default timeout for this remote callable.
`String` `getMethod()` Get the method name associated with this remote callable.
`IRemoteCallableRequestType` `getRequestType()` Get request type associated with this remote callable.
`String` `getResourcePath()` Get the resource path associated with this remote callable.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### method

    protected String method

#### resourcePath

    protected String resourcePath

#### defaultParameters

    protected IRemoteCallParameter[] defaultParameters

#### defaultTimeout

    protected long defaultTimeout

#### requestType

    protected IRemoteCallableRequestType requestType

### Constructor Detail

#### RemoteCallable

    public RemoteCallable​(String method,
                          String resourcePath,
                          IRemoteCallParameter[] defaultParameters,
                          IRemoteCallableRequestType requestType,
                          long defaultTimeout)

#### RemoteCallable

    public RemoteCallable​(String method,
                          String resourcePath,
                          IRemoteCallParameter[] defaultParameters,
                          IRemoteCallableRequestType requestType)

### Method Detail

#### getMethod

    public String getMethod()

Description copied from interface: `IRemoteCallable`
Get the method name associated with this remote callable.

Specified by:
  `getMethod` in interface `IRemoteCallable`
Returns:
  String method name. Must not be `null`.

#### getResourcePath

    public String getResourcePath()

Description copied from interface: `IRemoteCallable`
Get the resource path associated with this remote callable.

Specified by:
  `getResourcePath` in interface `IRemoteCallable`
Returns:
  String the resource path for this remote callable. Must not be `null`.

#### getDefaultParameters

    public IRemoteCallParameter[] getDefaultParameters()

Description copied from interface: `IRemoteCallable`
Get default remote call parameters for this remote callable.

Specified by:
  `getDefaultParameters` in interface `IRemoteCallable`
Returns:
  IRemoteCallParameter[] array of default parameters for this remote callable. May be `null`.

#### getRequestType

    public IRemoteCallableRequestType getRequestType()

Description copied from interface: `IRemoteCallable`
Get request type associated with this remote callable.

Specified by:
  `getRequestType` in interface `IRemoteCallable`
Returns:
  IRemoteCallableRequestType for this callable. May be `null`.

#### getDefaultTimeout

    public long getDefaultTimeout()

Description copied from interface: `IRemoteCallable`
Get default timeout for this remote callable.

Specified by:
  `getDefaultTimeout` in interface `IRemoteCallable`
Returns:
  long default timeout value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`